Build error in openmrs-uicommons

Tags: #<Tag:0x00007f7915581278>

Hello There, I made some changes in ui-commons module after that I am trying to build the module for omod, its giving me the following error. Therefore I revert the changes and again tried to build but in both cases it giving me following error.

[INFO] Building uicommons SCSS content 2.15.0-SNAPSHOT                    [3/4]
[INFO] --------------------------------[ pom ]---------------------------------
[INFO]
[INFO] --- maven-clean-plugin:2.5:clean (default-clean) @ uicommons-scss ---
[INFO]
[INFO] --- gem-maven-plugin:1.0.0-rc4:exec (default) @ uicommons-scss ---
[WARNING] ERROR:  Error installing C:\Users\biz022\.m2\repository\rubygems\chunky_png\1.4.0\chunky_png-1.4.0.gem:
[WARNING]       chunky_png requires Ruby version >= 2.0.
[INFO] ------------------------------------------------------------------------
[INFO] Reactor Summary for UI Commons Module 2.15.0-SNAPSHOT:
[INFO]
[INFO] UI Commons Module .................................. SUCCESS [  0.251 s]
[INFO] uicommons Module API ............................... SUCCESS [  2.672 s]
[INFO] uicommons SCSS content ............................. FAILURE [  7.361 s]
[INFO] uicommons Module OMOD .............................. SKIPPED
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time:  12.176 s
[INFO] Finished at: 2021-01-05T17:39:35+05:30
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal de.saumya.mojo:gem-maven-plugin:1.0.0-rc4:exec (default) on project uicommons-scss: Execution default of goal de.saumya.mojo:gem-maven-plugin:1.0.0-rc4:exec failed: Java returned: 1 -> [Help 1]
[ERROR]
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/PluginExecutionException
[ERROR]
[ERROR] After correcting the problems, you can resume the build with the command
[ERROR]   mvn <args> -rf :uicommons-scss

add the full logs here https://pastebin.com/

1 Like

Thanks for your response @herbert24, here the paste the whole logs. [ERROR] Failed to execute goal de.saumya.mojo:gem-maven-plugin:1.0.0-rc4:exec (d - Pastebin.com

was the build passing before your changes?

1 Like

In both cases its giving me same error, I also tried different version but getting the same.

have you pulled the latest changes before building?

Yes I did.

let me too build at my side and i see whether this breaks too

1 Like

Thank You, It will be really helpful !

1 Like

Hello @herbert24 I would like to know about any updates on this. Thanks

1 Like

my build is successful G:\openmrs\modules\openmrs-module-uicommons>mvn clean install[INFO] Scanning - Pastebin.com

1 Like

which java version are you running?

@atiq It would be easier to help if you could put the full output from Maven in pastebin.com.

I am running 1.8.

Thank for your response @ibacher. Here I paste the full logs. G:\openmrs\modules\openmrs-module-uicommons>mvn clean install[INFO] Scanning - Pastebin.com

That pastebin.com link doesn’t work for me…

1 Like

@atiq the link is empty. Make sure you click the create new paste button

Sorry for the inconvenience here the full logs . https://pastebin.com/uheXme4J

Solved the issue by changing path . Thanks @herbert24 , @ibacher for your response.